.pt-o-test-history-board {
  z-index: 2000;
  position: fixed;
  height: 19rem;
  width: 90%;
  left: 5%;
  top: 0;
  z-index: 200;
  transform: translateY(-100%);
  transition: transform 0.5s ease-in-out;
  display: flex;
  flex-direction: column;
  font-family: 'mont_m';
  color: #4b4a5c;
  border-radius: 0 0 1.2rem 1.2rem;
  background: #fff;
  
  &.--open {
    transform: translateY(0);
    box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
    .pt-o-test-history-board {
      &__container {
        .__content-toggle {
          top: 100%;
        }
      }
    }
  }
  &__overlay-background{
    z-index: 201;
    &.--open{
      height: 100vh;
      width: 100vw;
      position: fixed;
      top: 0;
      background-color: rgba(0,0,0,0.5);
    }
  }
  &__container {
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 100%;
    .__title {
      background: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 1rem 0 0.6rem 0;
      height: 4rem;
      span {
        text-align: center;
        font-size: 2rem;
        color: #219eff;
        font-family: 'mont_b';
      }
    }
    .__content-info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      width: 100%;
      height: calc(100% - 4rem);
      padding: 0 2rem 1.6rem 2rem;
      font-size: 1.6rem;
      position: relative;
      > div {
        box-shadow: 0 0 1rem rgb(40 107 220 / 30%);
      }
      .__info-book {
        width: 27%;
        height: 100%;
        padding: 0 1rem 0.8rem 0;
        background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
        display: flex;
        justify-content: flex-start;
        align-items: center;
        border-radius: 1.2rem;
        color: #fff;
        > div {
          display: flex;
          flex-direction: column;
        }
        .img-book {
          width: 9rem;
          margin-top: 3rem;
        }
        .name-book {
          font-size: 1.8rem;
          line-height: 2.2rem;
          padding: 0.3rem 0;
          max-width: 100%;
          font-family: 'mont_b';
        }
      }
      .__info-student {
        width: 41%;
        border-radius: 1.2rem;
        padding: 0 1rem;
        height: 100%;
        display: flex;
        background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
        flex-direction: column;
        padding: 1rem 1.2rem;
        color: #fff;
        font-size: 1.6rem;
        justify-content: space-between;
        align-items: center;
        > div {
          width: 100%;
        }
        > div:nth-child(1) {
          display: flex;
          justify-content: space-between;
          padding-bottom: 0.8rem;
          font-family: 'mont_b';
          > div {
            display: inline-block;
            overflow: hidden;
            text-overflow: ellipsis;
            img {
              height: 1.8rem;
              &.email{
                height: 2rem;
              }
            }
            span {
              width: calc(100% - 2.1rem);
              line-height: 2.2rem;
              text-decoration: unset;
              padding-left: 1.2rem;
              max-height: 100%;
            }
          }
          > div:nth-child(2) {
            min-width: 12.3rem;
            font-family: 'mont_m';
          }
        }
        > div:nth-child(2) {
          > div:nth-child(1) {
            display: flex;
            justify-content: center;
            padding-bottom: 0.8rem;
            .__total {
              font-family: 'mont_b';
              font-size: 3rem;
              color: #fff;
              height: 4.6rem;
              line-height: 4.6rem;
              text-align: center;
              width: 20rem;
              border-radius: 2.3rem;
              background: rgba($color: #fff, $alpha: 0.2);
            }
          }
          > div:nth-child(2) {
            display: flex;
            justify-content: center;
          }
        }
        > div:nth-child(3) {
          > div:nth-child(1) {
            display: flex;
            justify-content: center;
          }
        }
      }
      .__info-test {
        width: 30%;
        border-radius: 1.2rem;
        height: 100%;
        display: flex;
        background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
        flex-direction: column;
        padding: 1rem 1.2rem;
        color: #fff;
        font-size: 1.6rem;
        overflow-y: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }

        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba($color: #ffff, $alpha: 0.5);
          border-radius: 10px;
        }
        .__result {
          display: flex;
          justify-content: space-between;
          align-items: center;
          font-size: 1.6rem;
          .__label {
            font-family: 'mont_b';
            padding: 0.1rem 0 0.1rem 0;
            img {
              height: 1.8rem;
            }
            span {
              line-height: 2.2rem;
              padding-left: 1.2rem;
              pointer-events: none;
            }
          }
        }
        .__progress-list {
          max-height: 100%;
          font-family: 'mont_m';
          .__progress-item {
            display: flex;
            justify-content: space-between;
            .__info {
              width: 100%;
              display: flex;
              justify-content: space-between;

              .__name {
                display: flex;
                align-items: center;
                padding-right: 1.6rem;
                .__circle {
                  height: 0.8rem;
                  width: 0.8rem;
                  min-width: 0.8rem;
                  min-height: 0.8rem;
                  border-radius: 0.4rem;
                  background: #fff;
                  margin-right: 0.8rem;
                }
              }
              >div{
                flex: 1;
                display: flex;
                justify-content: flex-end;
                align-items: center;
                min-width: 7rem;
                .__value {
                  text-align: right;
                  white-space: nowrap;
                  padding-left: 1rem;
                }
                .__dot{
                  white-space: nowrap;
                  overflow: hidden;
                }
              }
            }
          }
        }
      }
    }
    .__content-toggle {
      position: absolute;
      top: 100%;
      transition: top 0.3s ease-in-out;
      height: 2.8rem;
      width: 6rem;
      margin-left: 6rem;
      > div {
        background: #2692ff;
        border-radius: 0 0 1rem 1rem;
        height: 100%;
        width: 100%;
        padding: 0.6rem;
        cursor: pointer;
        display: flex;
        justify-content: center;
        box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
        .__image-arrow {
          max-height: 100%;
          max-width: 100%;
          height: 100%;
          transition: transform 0.2s ease-in-out;
        }
      }
    }
  }
}

@media only screen and (max-width: 1024px) {
  .pt-o-test-history-board {
    position: fixed;
    height: 17rem;
    width: 94%;
    left: 3%;
    top: 0;
    z-index: 200;
    transform: translateY(-100%);
    transition: transform 0.5s ease-in-out;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    color: #4b4a5c;
    border-radius: 0 0 1.2rem 1.2rem;
    background: #fff;
    &.--open {
      transform: translateY(0);
      box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
      .pt-o-test-history-board {
        &__container {
          .__content-toggle {
            top: 100%;
          }
        }
      }
    }
    &__container {
      position: relative;
      width: 100%;
      height: 100%;
      min-height: 100%;
      .__title {
        background: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 1rem 0 0.6rem 0;
        height: 4rem;
        span {
          text-align: center;
          font-size: 1.8rem;
          color: #219eff;
        }
      }
      .__content-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: calc(100% - 4rem);
        padding: 0 2rem 1.6rem 2rem;
        font-size: 1.5rem;
        position: relative;
        .__info-book {
          width: 27%;
          height: 100%;
          padding: 0 1rem 0.8rem 0;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border-radius: 1.2rem;
          color: #fff;
          > div {
            display: flex;
            flex-direction: column;
          }
          .img-book {
            width: 7rem;
            margin-top: 2.5rem;
          }
          .name-book {
            font-size: 1.6rem;
            line-height: 2.2rem;
            padding: 0.3rem 0;
            max-width: 100%;
          }
        }
        .__info-student {
          width: 41%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.5rem;
          justify-content: space-between;
          align-items: center;
          > div {
            width: 100%;
          }
          > div:nth-child(1) {
            display: flex;
            justify-content: space-between;
            padding-bottom: 0.8rem;
            > div {
              display: inline-block;
              img {
                height: 1.8rem;
              }
              span {
                width: calc(100% - 2rem);
                line-height: 2.2rem;
                text-decoration: unset;
                padding-left: 0.8rem;
                max-height: 100%;
              }
            }
            > div:nth-child(2) {
              min-width: 12.3rem;
              padding-left: 0.6rem;
            }
          }
          > div:nth-child(2) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
              padding-bottom: 0.8rem;
              .__total {
                font-size: 2.8rem;
                color: #fff;
                height: 4.2rem;
                line-height: 4.2rem;
                text-align: center;
                width: 20rem;
                border-radius: 2.1rem;
                background: rgba($color: #fff, $alpha: 0.2);
              }
            }
          }
          > div:nth-child(3) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
            }
          }
        }
        .__info-test {
          width: 30%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.5rem;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }

          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba($color: #ffff, $alpha: 0.5);
            border-radius: 10px;
          }
          .__result {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 1.6rem;
            .__label {
              padding: 0.1rem 0 0.1rem 0;
              img {
                height: 1.8rem;
              }
              span {
                line-height: 2.2rem;
                padding-left: 1.2rem;
                pointer-events: none;
              }
            }
          }
          .__progress-list {
            max-height: 100%;
            .__progress-item {
              display: flex;
              justify-content: space-between;
              
              .__info {
                width: 100%;
                display: flex;
                justify-content: space-between;

                .__name {
                  display: flex;
                  align-items: center;
                  .__circle {
                    margin-right: 0.8rem;
                  }
                }
              }
            }
          }
        }
      }
      .__content-toggle {
        position: absolute;
        top: 100%;
        transition: top 0.3s ease-in-out;
        height: 2.8rem;
        width: 6rem;
        margin-left: 6rem;
        > div {
          background: #2692ff;
          border-radius: 0 0 1rem 1rem;
          height: 100%;
          width: 100%;
          padding: 0.6rem;
          cursor: pointer;
          display: flex;
          justify-content: center;
          box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
          .__image-arrow {
            max-height: 100%;
            max-width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 960px) {
  .pt-o-test-history-board {
    position: fixed;
    height: 19rem;
    width: 96%;
    left: 2%;
    top: 0;
    z-index: 200;
    transform: translateY(-100%);
    transition: transform 0.5s ease-in-out;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    color: #4b4a5c;
    border-radius: 0 0 1.2rem 1.2rem;
    background: #fff;
    &.--open {
      transform: translateY(0);
      box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
      .pt-o-test-history-board {
        &__container {
          .__content-toggle {
            top: 100%;
          }
        }
      }
    }
    &__container {
      position: relative;
      width: 100%;
      height: 100%;
      min-height: 100%;
      .__title {
        background: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 1rem 0 0.6rem 0;
        height: 4rem;
        span {
          text-align: center;
          font-size: 1.6rem;
          color: #219eff;
        }
      }
      .__content-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: calc(100% - 4rem);
        padding: 0 1rem 1rem 1rem;
        font-size: 1.4rem;
        position: relative;
        .__info-book {
          width: 26%;
          height: 100%;
          padding: 0 1rem 0.8rem 0;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border-radius: 1.2rem;
          color: #fff;
          > div {
            display: flex;
            flex-direction: column;
          }
          .img-book {
            width: 6rem;
            margin-top: 1.8rem;
          }
          .name-book {
            font-size: 1.4rem;
            line-height: 2.2rem;
            padding: 0.3rem 0;
            max-width: 100%;
          }
        }
        .__info-student {
          width: 41%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.4rem;
          justify-content: space-between;
          align-items: center;
          > div {
            width: 100%;
          }
          > div:nth-child(1) {
            display: flex;
            justify-content: space-between;
            padding-bottom: 0.8rem;
            > div {
              display: inline-block;
              img {
                height: 1.6rem;
              }
              span {
                width: calc(100% - 2rem);
                line-height: 2.2rem;
                text-decoration: unset;
                padding-left: 0.8rem;
                max-height: 100%;
              }
            }
            > div:nth-child(2) {
              min-width: 12.3rem;
              padding-left: 0.6rem;
            }
          }
          > div:nth-child(2) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
              padding-bottom: 0.8rem;
              .__total {
                font-size: 2.4rem;
                color: #fff;
                height: 3.6rem;
                line-height: 3.6rem;
                text-align: center;
                width: 20rem;
                border-radius: 1.8rem;
                background: rgba($color: #fff, $alpha: 0.2);
              }
            }
          }
          > div:nth-child(3) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
            }
          }
        }
        .__info-test {
          width: 29%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.4rem;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }

          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba($color: #ffff, $alpha: 0.5);
            border-radius: 10px;
          }
          .__result {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 1.4rem;
            .__label {
              padding: 0.1rem 0 0.1rem 0;
              img {
                height: 1.6rem;
              }
              span {
                line-height: 2.2rem;
                padding-left: 1.2rem;
                pointer-events: none;
              }
            }
          }
          .__progress-list {
            max-height: 100%;
            .__progress-item {
              display: flex;
              justify-content: space-between;
              
              .__info {
                width: 100%;
                display: flex;
                justify-content: space-between;

                .__name {
                  display: flex;
                  align-items: center;
                  .__circle {
                    height: 0.8rem;
                    width: 0.8rem;
                    border-radius: 0.4rem;
                    background: #fff;
                    margin-right: 0.8rem;
                  }
                }
                
              }
            }
          }
        }
      }
      .__content-toggle {
        position: absolute;
        top: 100%;
        transition: top 0.3s ease-in-out;
        height: 2.8rem;
        width: 6rem;
        margin-left: 6rem;
        > div {
          background: #2692ff;
          border-radius: 0 0 1rem 1rem;
          height: 100%;
          width: 100%;
          padding: 0.6rem;
          cursor: pointer;
          display: flex;
          justify-content: center;
          box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
          .__image-arrow {
            max-height: 100%;
            max-width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 700px) and (min-aspect-ratio: 4/3){
  .pt-o-test-history-board {
    position: fixed;
    height: 16rem;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 200;
    transform: translateY(-100%);
    transition: transform 0.5s ease-in-out;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    color: #4b4a5c;
    border-radius: 0 0 1.2rem 1.2rem;
    background: #fff;
    &.--open {
      transform: translateY(0);
      box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
      .pt-o-test-history-board {
        &__container {
          .__content-toggle {
            top: 100%;
          }
        }
      }
    }
    &__container {
      position: relative;
      width: 100%;
      height: 100%;
      min-height: 100%;
      .__title {
        background: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0.6rem 0 0.6rem 0;
        height: 3rem;
        span {
          text-align: center;
          font-size: 1.4rem;
          color: #219eff;
        }
      }
      .__content-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: calc(100% - 3rem);
        padding: 0 0.6rem 1rem 0.6rem;
        font-size: 1rem;
        position: relative;
        .__info-book {
          width: 27%;
          height: 100%;
          padding: 0 1rem 0.8rem 0;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border-radius: 1.2rem;
          color: #fff;
          > div {
            display: flex;
            flex-direction: column;
          }
          .img-book {
            width: 5rem;
            margin-top: 2.2rem;
          }
          .name-book {
            font-size: 1.1rem;
            line-height: 1.8rem;
            padding: 0.3rem 0;
            max-width: 100%;
          }
        }
        .__info-student {
          overflow-y: auto;
          width: 41%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1rem;
          justify-content: space-between;
          align-items: center;
          > div {
            width: 100%;
          }
          > div:nth-child(1) {
            display: flex;
            justify-content: space-between;
            padding-bottom: 0.8rem;
            > div {
              display: inline-block;
              img {
                height: 1.2rem;
              }
              span {
                width: calc(100% - 2rem);
                line-height: 1.8rem;
                text-decoration: unset;
                padding-left: 0.6rem;
                max-height: 100%;
              }
            }
            > div:nth-child(2) {
              min-width: 10rem;
              padding-left: 0.6rem;
            }
          }
          > div:nth-child(2) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
              padding-bottom: 0.8rem;
              .__total {
                font-size: 1.6rem;
                color: #fff;
                height: 3rem;
                line-height: 3rem;
                text-align: center;
                width: 16rem;
                border-radius: 1.5rem;
                background: rgba($color: #fff, $alpha: 0.2);
              }
            }
          }
          > div:nth-child(3) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
            }
          }
        }
        .__info-test {
          width: 30%;
          border-radius: 1.2rem;
          height: 100%;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1rem;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }

          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba($color: #ffff, $alpha: 0.5);
            border-radius: 10px;
          }
          .__result {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 1rem;
            .__label {
              padding: 0.1rem 0 0.1rem 0;
              img {
                height: 1.2rem;
              }
              span {
                line-height: 1.6rem;
                padding-left: 1.2rem;
                pointer-events: none;
              }
            }
          }
          .__progress-list {
            max-height: 100%;
            .__progress-item {
              display: flex;
              justify-content: space-between;
              
              font-size: 1rem;
              .__info {
                width: 100%;
                display: flex;
                justify-content: space-between;

                .__name {
                  display: flex;
                  align-items: center;
                  .__circle {
                    margin-right: 0.2rem;
                  }
                }
              }
            }
          }
        }
      }
      .__content-toggle {
        position: absolute;
        top: 100%;
        transition: top 0.3s ease-in-out;
        height: 2.8rem;
        width: 6rem;
        margin-left: 6rem;
        > div {
          background: #2692ff;
          border-radius: 0 0 1rem 1rem;
          height: 100%;
          width: 100%;
          padding: 0.6rem;
          cursor: pointer;
          display: flex;
          justify-content: center;
          box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
          .__image-arrow {
            max-height: 100%;
            max-width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 700px) and (max-aspect-ratio:3999/3000) {
  .pt-o-test-history-board {
    position: fixed;
    height: 41rem;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 200;
    transform: translateY(-100% -6rem);
    transition: transform 0.5s ease-in-out;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    color: #4b4a5c;
    border-radius: 0 0 1.2rem 1.2rem;
    background: #fff;
    &.--open {
      transform: translateY(0);
      box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
      .pt-o-test-history-board {
        &__container {
          .__content-toggle {
            top: 100%;
          }
        }
      }
    }
    &__container {
      position: relative;
      width: 100%;
      height: 100%;
      min-height: 100%;
      .__title {
        background: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 1rem 0 0.6rem 0;
        height: 4rem;
        span {
          text-align: center;
          font-size: 1.6rem;
          color: #219eff;
        }
      }
      .__content-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 0 1rem 3rem 1rem;
        font-size: 1.4rem;
        position: relative;
        flex-wrap: wrap;
        .__info-book {
          width: 100%;
          height: 10rem;
          padding: 0 1rem 0.8rem 0;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border-radius: 1.2rem;
          color: #fff;
          > div {
            display: flex;
            flex-direction: column;
          }
          .img-book {
            width: 7rem;
            margin-top: 2.5rem;
          }
          .name-book {
            font-size: 1.4rem;
            line-height: 2.2rem;
            padding: 0.3rem 0;
            max-width: 100%;
          }
        }
        .__info-student {
          width: 100%;
          border-radius: 1.2rem;
          height: 12rem;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.4rem;
          justify-content: space-between;
          align-items: center;
          > div {
            width: 100%;
          }
          > div:nth-child(1) {
            display: flex;
            justify-content: space-between;
            padding-bottom: 0.8rem;
            > div {
              display: inline-block;
              img {
                height: 1.6rem;
              }
              span {
                width: calc(100% - 2rem);
                line-height: 2rem;
                text-decoration: unset;
                padding-left: 0.8rem;
                max-height: 100%;
              }
            }
            > div:nth-child(2) {
              min-width: 12.3rem;
              padding-left: 0.6rem;
            }
          }
          > div:nth-child(2) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
              padding-bottom: 0.8rem;
              .__total {
                font-size: 2.3rem;
                color: #fff;
                height: 3.4rem;
                line-height: 3.4rem;
                text-align: center;
                width: 20rem;
                border-radius: 1.7rem;
                background: rgba($color: #fff, $alpha: 0.2);
              }
            }
          }
          > div:nth-child(3) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
            }
          }
        }
        .__info-test {
          width: 100%;
          border-radius: 1.2rem;
          height: 10rem;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.4rem;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }

          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba($color: #ffff, $alpha: 0.5);
            border-radius: 10px;
          }
          .__result {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 1.4rem;
            .__label {
              padding: 0.1rem 0 0.1rem 0;
              img {
                height: 1.6rem;
              }
              span {
                line-height: 2rem;
                padding-left: 1.2rem;
                pointer-events: none;
              }
            }
          }
          .__progress-list {
            max-height: 100%;
            .__progress-item {
              display: flex;
              justify-content: space-between;
              
              .__info {
                width: 100%;
                display: flex;
                justify-content: space-between;

                .__name {
                  display: flex;
                  align-items: center;
                  .__circle {
                    margin-right: 0.8rem;
                  }
                }
                
              }
            }
          }
        }
        > div {
          margin: 0.8rem 0;
        }
      }
      .__content-toggle {
        position: absolute;
        top: 100%;
        transition: top 0.3s ease-in-out;
        height: 2.8rem;
        width: 6rem;
        margin-left: 3rem;
        > div {
          background: #2692ff;
          border-radius: 0 0 1rem 1rem;
          height: 100%;
          width: 100%;
          padding: 0.6rem;
          cursor: pointer;
          display: flex;
          justify-content: center;
          box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
          .__image-arrow {
            max-height: 100%;
            max-width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}
@media only screen and (max-width: 360px) and (max-aspect-ratio:3999/3000) {
  .pt-o-test-history-board {
    position: fixed;
    height: 41rem;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 200;
    transform: translateY(-100% -6rem);
    transition: transform 0.5s ease-in-out;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    color: #4b4a5c;
    border-radius: 0 0 1.2rem 1.2rem;
    background: #fff;
    &.--open {
      transform: translateY(0);
      box-shadow: 0 0 1.6rem rgb(40 107 220 / 30%);
      .pt-o-test-history-board {
        &__container {
          .__content-toggle {
            top: 100%;
          }
        }
      }
    }
    &__container {
      position: relative;
      width: 100%;
      height: 100%;
      min-height: 100%;
      .__title {
        background: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 1rem 0 0.6rem 0;
        height: 3rem;
        span {
          text-align: center;
          font-size: 1.4rem;
          color: #219eff;
        }
      }
      .__content-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 0 1rem 2rem 1rem;
        font-size: 1.1rem;
        position: relative;
        flex-wrap: wrap;
        height: 34.8rem;
        .__info-book {
          width: 100%;
          height: 10rem;
          padding: 0 1rem 0.8rem 0;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          display: flex;
          justify-content: flex-start;
          align-items: center;
          border-radius: 1.2rem;
          color: #fff;
          > div {
            display: flex;
            flex-direction: column;
          }
          .img-book {
            width: 7rem;
            margin-top: 2.5rem;
          }
          .name-book {
            font-size: 1.1rem;
            line-height: 2.2rem;
            padding: 0.3rem 0;
            max-width: 100%;
          }
        }
        .__info-student {
          width: 100%;
          border-radius: 1.2rem;
          overflow-y: scroll;
          height: 12rem;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.1rem;
          justify-content: space-between;
          align-items: center;
          > div {
            width: 100%;
          }
          > div:nth-child(1) {
            display: flex;
            justify-content: space-between;
            padding-bottom: 0.8rem;
            > div {
              display: inline-block;
              img {
                height: 1.6rem;
              }
              span {
                width: calc(100% - 2rem);
                line-height: 2rem;
                text-decoration: unset;
                padding-left: 0.8rem;
                max-height: 100%;
              }
            }
            > div:nth-child(2) {
              min-width: 11rem;
              padding-left: 0.6rem;
            }
          }
          > div:nth-child(2) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
              padding-bottom: 0.8rem;
              .__total {
                font-size: 1.6rem;
                color: #fff;
                height: 3rem;
                line-height: 3rem;
                text-align: center;
                width: 16rem;
                border-radius: 1.2rem;
                background: rgba($color: #fff, $alpha: 0.2);
              }
            }
          }
          > div:nth-child(3) {
            > div:nth-child(1) {
              display: flex;
              justify-content: center;
            }
          }
        }
        .__info-test {
          width: 100%;
          border-radius: 1.2rem;
          height: 10rem;
          display: flex;
          background: linear-gradient(90deg, #03e5ff 0%, #219eff 35.52%);
          flex-direction: column;
          padding: 1rem 1rem;
          color: #fff;
          font-size: 1.1rem;
          overflow-y: auto;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }

          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
            // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
            margin-top: 1rem;
            margin-bottom: 1rem;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba($color: #ffff, $alpha: 0.5);
            border-radius: 10px;
          }
          .__result {
            display: flex;
            justify-content: space-between;
            align-items: center;
            font-size: 1.1rem;
            .__label {
              padding: 0.1rem 0 0.1rem 0;
              img {
                height: 1.6rem;
              }
              span {
                line-height: 2rem;
                padding-left: 1.2rem;
                pointer-events: none;
              }
            }
          }
          .__progress-list {
            max-height: 100%;
            .__progress-item {
              display: flex;
              justify-content: space-between;
              
              .__info {
                width: 100%;
                display: flex;
                justify-content: space-between;

                .__name {
                  display: flex;
                  align-items: center;
                  .__circle {
                    
                    margin-right: 0.8rem;
                  }
                }
                
              }
            }
          }
        }
        > div {
          margin: 0.8rem 0;
        }
      }
      .__content-toggle {
        position: absolute;
        top: 100%;
        transition: top 0.3s ease-in-out;
        height: 2.8rem;
        width: 6rem;
        margin-left: 3rem;
        > div {
          background: #2692ff;
          border-radius: 0 0 1rem 1rem;
          height: 100%;
          width: 100%;
          padding: 0.6rem;
          cursor: pointer;
          display: flex;
          justify-content: center;
          box-shadow: 0 0 1.6rem rgb(40 107 220 / 45%);
          .__image-arrow {
            max-height: 100%;
            max-width: 100%;
            height: 100%;
          }
        }
      }
    }
  }
}
// @media only screen and (max-height: 319px) {
//   .pt-o-test-history-board {
//     position: fixed;
//     height: auto;
//     width: 100%;
//     left: 0;
//     top: 0;
//     z-index: 200;
//     // transform: translateY(calc(-100% + 2rem));
//     transition: transform 0.5s ease-in-out;
//     display: flex;
//     flex-direction: column;
//     font-family: 'mont_m';
//     color: #4b4a5c;
//     &.--open {
//       transform: translateY(0);
//       .pt-o-test-history-board {
//         &__container {
//           .__content-info {
//             border-radius: 0;
//             .__info-book {
//               border-radius: 0;
//             }
//           }
//           .__padding-bar {
//             height: 0rem;
//             transition: height 0.3s ease-in-out;
//           }
//           .__content-toggle {
//             top: calc(100% - 1.2rem);
//             transition: top 0.2s ease-in-out;
//           }
//         }
//       }
//     }
//     &__container {
//       position: relative;
//       width: 100%;
//       height: 100%;
//       min-height: 100%;
//       display: flex;
//       flex-direction: column;
//       position: relative;
//       .__content-info {
//         display: flex;
//         justify-content: center;
//         align-items: center;
//         width: 100%;
//         background: #51c2ff;
//         padding: 5px 5px 02x 5px;
//         height: 83%;
//         position: relative;
//         left: 0;
//         flex-direction: column;
//         .__info-book {
//           width: 100%;
//           height: 100%;
//           background: #fff;
//           display: flex;
//           justify-content: flex-start;
//           align-items: center;
//           flex-direction: row;
//           padding: 0.6rem 2rem;
//           align-items: center;
//           > div {
//             padding-left: 1.2rem;
//             display: flex;
//             flex-direction: column;
//           }
//           .img-book {
//             height: 4rem;
//           }
//           .name-book {
//             color: #51c2ff;
//             // font-size: 2rem;
//             line-height: 2.4rem;
//             padding: 0.3rem 0;
//             max-width: 100%;
//           }
//           .submit-date {
//             // font-size: 1.6rem;
//           }
//         }
//         > div {
//           display: flex;
//           flex-direction: column;
//           height: 100%;
//           max-height: 100%;
//           width: 100%;
//           justify-content: space-between;
//           align-items: center;
//           padding: 1rem;
//           .__info-student {
//             width: 100%;
//             background: #fff;
//             border-radius: 1.2rem;
//             padding: 3px 1rem;
//             height: 100%;
//             display: flex;
//             margin-bottom: 1rem;
//             flex-direction: column;
//             div {
//               width: 100%;
//               padding: 0.2rem 0 0.2rem 3rem;
//               img {
//                 height: 1.8rem;
//               }
//               span {
//                 width: calc(100% - 2rem);
//                 // font-size: 1.8rem;
//                 line-height: 2.2rem;
//                 color: #849fca;
//                 text-decoration: unset;
//                 padding-left: 0.8rem;
//                 max-height: 100%;
//               }
//             }
//             .__label {
//               padding: 0.2rem 0 0.2rem 0;
//               img {
//                 height: 2rem;
//               }
//               span {
//                 // font-size: 1.8rem;
//                 line-height: 2.2rem;
//                 color: #6868ac;
//                 text-decoration: underline !important;
//                 padding-left: 0.8rem;
//                 pointer-events: none;
//               }
//             }
//           }
//           .__info-test {
//             width: 100%;
//             background: #fff;
//             border-radius: 1.2rem;
//             padding: 3px 1rem;
//             max-height: 8rem;
//             height: auto;
//             overflow-y: auto;
//             &::-webkit-scrollbar {
//               width: 7px;
//               background-color: transparent;
//             }

//             &::-webkit-scrollbar-track {
//               background-color: #fff;
//               border-radius: 10px;
//               // -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
//               margin-top: 1.6rem;
//               margin-bottom: 1.6rem;
//             }
//             &::-webkit-scrollbar-thumb {
//               background: #d4e9ff !important;
//               border-radius: 10px;
//             }
//             .__result {
//               display: flex;
//               justify-content: space-between;
//               align-items: center;
//               // font-size: 1.8rem;
//               .__label {
//                 padding: 0.1rem 0 0.1rem 0;
//                 img {
//                   height: 2rem;
//                 }
//                 span {
//                   line-height: 2.2rem;
//                   color: #6868ac;
//                   text-decoration: underline !important;
//                   padding-left: 0.8rem;
//                   pointer-events: none;
//                 }
//               }
//               .__total {
//                 color: #6868ac;
//                 font-family: 'mont_b';
//               }
//             }
//             .__progress-list {
//               max-height: 100%;
//               .__progress-item {
//                 display: flex;
//                 justify-content: space-between;
//                 padding: 0.6rem 1rem 0.6rem 1.2rem;
//                 .__info {
//                   width: 100%;
//                   display: flex;
//                   justify-content: space-between;

//                   .__name {
//                     color: #849fca;
//                   }
//                   .__value {
//                   }
//                 }
//               }
//             }
//           }
//         }
//       }
//       .__padding-bar {
//         height: 2rem;
//         transition: height 0.25s ease-in-out;
//         background: #51c2ff;
//       }
//       .__content-toggle {
//         position: absolute;
//         top: 98%;
//         transition: top 0.3s ease-in-out;
//         height: 3rem;
//         margin-left: 6rem;
//         width: fit-content;
//         left: 0;
//         > div {
//           background: #51c2ff;
//           border-radius: 0 0 2rem 2rem;
//           padding: 0.4rem 1.8rem;
//           height: 100%;
//           width: fit-content;
//           cursor: pointer;
//           .__image-user {
//             height: 70%;
//           }
//           .__image-arrow {
//             height: 1.1rem;
//             margin-left: 1rem;
//           }
//         }
//       }
//     }
//   }
// }
